# Class DiscoveryInfo

java.lang.Object
de.javawi.jstun.test.DiscoveryInfo

public class DiscoveryInfo extends Object

## Constructor Summary

Constructors
Constructor
Description
`DiscoveryInfo(InetAddress testIP)`

## Method Summary

Modifier and Type
Method
Description
`InetAddress`
`getLocalIP()`
`InetAddress`
`getPublicIP()`
`boolean`
`isBlockedUDP()`
`boolean`
`isError()`
`boolean`
`isFullCone()`
`boolean`
`isOpenAccess()`
`boolean`
`isPortRestrictedCone()`
`boolean`
`isRestrictedCone()`
`boolean`
`isSymmetric()`
`boolean`
`isSymmetricUDPFirewall()`
`void`
`setBlockedUDP()`
`void`
`setError(int responseCode, String reason)`
`void`
`setFullCone()`
`void`
`setOpenAccess()`
`void`
`setPortRestrictedCone()`
`void`
`setPublicIP(InetAddress publicIP)`
`void`
`setRestrictedCone()`
`void`
`setSymmetric()`
`void`
`setSymmetricUDPFirewall()`
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DiscoveryInfo

public DiscoveryInfo(InetAddress testIP)

## Method Details

### isError

public boolean isError()

### setError

public void setError(int responseCode, String reason)

### isOpenAccess

public boolean isOpenAccess()

### setOpenAccess

public void setOpenAccess()

### isBlockedUDP

public boolean isBlockedUDP()

### setBlockedUDP

public void setBlockedUDP()

### isFullCone

public boolean isFullCone()

### setFullCone

public void setFullCone()

### isPortRestrictedCone

public boolean isPortRestrictedCone()

### setPortRestrictedCone

public void setPortRestrictedCone()

### isRestrictedCone

public boolean isRestrictedCone()

### setRestrictedCone

public void setRestrictedCone()

### isSymmetric

public boolean isSymmetric()

### setSymmetric

public void setSymmetric()

### isSymmetricUDPFirewall

public boolean isSymmetricUDPFirewall()

### setSymmetricUDPFirewall

public void setSymmetricUDPFirewall()

### getPublicIP

public InetAddress getPublicIP()

### getLocalIP

public InetAddress getLocalIP()

### setPublicIP

public void setPublicIP(InetAddress publicIP)

### toString

public String toString()

Overrides:
  `toString` in class `Object`